
from setuptools import setup, find_packages
import os

NAME = 'batchcomputecli'
VERSION= '0.0.20'

setup(
    name = NAME,
    version =  VERSION,
    keywords = ('batchcompute','batchcomputecli'),
    description = 'Alicloud BatchCompute command line interface',
    license = 'MIT License',

    url = 'http://www.aliyun.com/product/batchcompute',
    author = 'guangchun.luo',
    author_email = 'guangchun.luo@alibaba-inc.com',

    packages = find_packages('src'),
    package_dir = {'' : 'src'},

    package_data = {
       'batchcomputecli': ['templates/*.zip','templates/*.py']
    },

    platforms = 'any',

    install_requires = ['batchcompute==0.1a10','terminal','nose','blessings','drawille'],
    entry_points='''
        [console_scripts]
        batchcompute=batchcomputecli.cli:main
        bcs=batchcomputecli.cli:main
    ''',
)
