
import os
import re

def get_registry_oss_info():
    m = {}

    cmd = 'docker ps --format "{{.ID}}\t{{.Image}}\t{{.Ports}}"'
    with os.popen(cmd) as f:
      result = f.read()

    if 'registry-oss' not in result:
        raise Exception(result)

    arr = result.split('\n')
    for k in arr:
        if 'registry-oss' in k:
            m['id'] = k.split('\t')[0]
            m['port'] = re.search(r':\d+', k).group()[1:]



    cmd = 'docker exec %s env' % m['id']
    with os.popen(cmd) as f:
        result = f.read()
    arr = result.split('\n')
    for k in arr:
        if k.strip() != '':
            arr2= k.split('=',1)
            m[arr2[0]]=arr2[1]

    return m

