#!/usr/bin/env python
# -*- coding: UTF-8 -*-
import os
from oss.oss_api import *
import Const

HOST = os.environ.get('ALI_DIKU_OSS_HOST')
TASK_ID = os.environ['ALI_DIKU_TASK_ID']

# Your AccessKeyId, AccessKeySecret and bucket here
ACCESS_KEY_ID = Const.ACCESS_KEY_ID
ACCESS_KEY_SECRET = Const.ACCESS_KEY_SECRET
BUCKET = Const.BUCKET

# todo: 以下变量根据实际情况修改
SORT_INPUT_PATH = '' #'find-prime/data/Find-result-%d'
SORT_OUTPUT_PATH = '' #'find-prime/data/%s-result'


oss = OssAPI(HOST, ACCESS_KEY_ID, ACCESS_KEY_SECRET) 
sorted_result = []
for id in range(0, 3):
  res = oss.get_object(BUCKET, SORT_INPUT_PATH % id)
  sorted_result += res.read().split()
sorted_result = [int(i) for i in sorted_result]
sorted_result.sort()

sorted_result = [str(i) for i in sorted_result]
oss.put_object_from_string(BUCKET, SORT_OUTPUT_PATH % TASK_ID, ' '.join(sorted_result))